Subject: Re: [PATCH 1/4] dt-bindings: mtd: Add YAML schemas for the generic NAND options

From: Miquel Raynal <[email-masked]>
Date: Tue, 2 Apr 2019 10:56:27 +0200

Hi Rob,

Rob Herring <[email-masked]> wrote on Tue, 2 Apr 2019 03:49:41
-0500:

> On Tue, Apr 2, 2019 at 3:19 AM Miquel Raynal <[email-masked]> wrote:
> >
> > Hi Maxime,
> >
> > Maxime Ripard <[email-masked]> wrote on Mon,  1 Apr 2019
> > 23:13:53 +0200:
> >  
> > > The NAND chips in MTD have a bunch of generic options that are needed in a
> > > device tree. Add a YAML schemas for those.
> > >
> > > Signed-off-by: Maxime Ripard <[email-masked]>
> > > ---
> > >  Documentation/devicetree/bindings/mtd/nand-controller.yaml | 131 +++++++-
> > >  1 file changed, 131 insertions(+)
> > >  create mode 100644 Documentation/devicetree/bindings/mtd/nand-controller.yaml
> > >
> > > diff --git a/Documentation/devicetree/bindings/mtd/nand-controller.yaml b/Documentation/devicetree/bindings/mtd/nand-controller.yaml
> > > new file mode 100644
> > > index 000000000000..05b1afb34972
> > > --- /dev/null
> > > +++ b/Documentation/devicetree/bindings/mtd/nand-controller.yaml
> > > @@ -0,0 +1,131 @@
> > > +# SPDX-License-Identifier: (GPL-2.0+ OR BSD-2-Clause)
> > > +%YAML 1.2
> > > +---
> > > +$id: http://devicetree.org/schemas/mtd/nand-controller.yaml#
> > > +$schema: http://devicetree.org/meta-schemas/core.yaml#
> > > +
> > > +title: NAND Chip and NAND Controller Generic Binding
> > > +
> > > +maintainers:
> > > +  - Boris Brezillon <[email-masked]>  
> >
> > Unfortunately Boris is leaving.
> >  
> > > +  - Miquel Raynal <[email-masked]>
> > > +  - Richard Weinberger <[email-masked]>  
> >
> > Is this really needed? There is already a section for that purpose in
> > MAINTAINERS.  
> 
> Yes, because MAINTAINERS is a kernel file and bindings are somewhat
> independent. And I found most binding files don't have a maintainer
> (other than me as default).

I know DT and bindings are a bit specific but they are still in the
kernel sources and right now in MAINTAINERS, under the MTD subsystem
entry there is:
F:      Documentation/devicetree/bindings/mtd/

What I am saying is that this list is a duplicate and people will
simply forget about it so it won't be updated naturally.

> 
> If we ever go to per subsystem/directory MAiNTAiNERS files, then we
> can easily generate one from bindings for the kernel.
> 
> Rob

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel